

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.30. log_put &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.31. log_reopen" href="log_reopen.html" />
    <link rel="prev" title="7.3.29. log_level" href="log_level.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/log_put.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="log_reopen.html" title="7.3.31. log_reopen"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="log_level.html" title="7.3.29. log_level"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.30. </span><code class="docutils literal notranslate"><span class="pre">log_put</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="log-put">
<h1><span class="section-number">7.3.30. </span><code class="docutils literal notranslate"><span class="pre">log_put</span></code><a class="headerlink" href="#log-put" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.30.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>log_put - ログ出力</p>
<p>groonga組込コマンドの一つであるlog_putについて説明します。組込コマンドは、groonga実行ファイルの引数、標準入力、またはソケット経由でgroongaサーバにリクエストを送信することによって実行します。</p>
<p>log_putは、ログにmessageを出力します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.30.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>log_put level message
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.30.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>log_put ERROR ****MESSAGE****
[true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.30.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">level</span></code></p>
<blockquote>
<div><p>設定するログ出力レベルの値を以下のいずれかで指定します。</p>
<blockquote>
<div><p>EMERG
ALERT
CRIT
error
warning
notice
info
debug</p>
</div></blockquote>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">message</span></code></p>
<blockquote>
<div><p>出力する文字列を指定します。</p>
</div></blockquote>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.30.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[成功かどうかのフラグ]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">成功かどうかのフラグ</span></code></p>
<blockquote>
<div><p>エラーが生じなかった場合にはtrue、エラーが生じた場合にはfalseを返す。</p>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.30.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><a class="reference internal" href="log_level.html"><span class="doc">log_level</span></a>
<a class="reference internal" href="log_reopen.html"><span class="doc">log_reopen</span></a></p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.30. <code class="docutils literal notranslate"><span class="pre">log_put</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.30.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.30.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.30.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.30.4. 引数</a></li>
<li><a class="reference internal" href="#return-value">7.3.30.5. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.30.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="log_level.html"
                        title="前の章へ"><span class="section-number">7.3.29. </span><code class="docutils literal notranslate"><span class="pre">log_level</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="log_reopen.html"
                        title="次の章へ"><span class="section-number">7.3.31. </span><code class="docutils literal notranslate"><span class="pre">log_reopen</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="log_reopen.html" title="7.3.31. log_reopen"
             >次へ</a> |</li>
        <li class="right" >
          <a href="log_level.html" title="7.3.29. log_level"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.30. </span><code class="docutils literal notranslate"><span class="pre">log_put</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>